package beast.evolution.datatype;

import beast.core.Description;
import beast.evolution.datatype.DataTypePoMo.Base;

@Description("Datatype for PoMo sequences")
public class PoMoData extends Base {
	
	public PoMoData() {
		stateCount = -1;
		mapCodeToStateSet = null;
		codeLength = -1;
		codeMap = null;
	}
	
	@Override
	public String getTypeDescription() {
		return "PoModata";
	}

    @Override
    public boolean isAmbiguousState(int state) {
        return (state < 0);
    }
}
